# /deleteProject

Delete a project!

## Delete your project on Winter.&#x20;

<mark style="color:red;">`DELETE`</mark> `/deleteProject`

Authenticate with basic auth where the username is your API key, e.g.&#x20;

`curl -X POST https://winter-api.usewinter.com/createProject -u sk_live_abcd=:`

`await axios.post(url,{ BODY }, { auth: { username: 'sk_live_abcd=' }})`

#### Request Body

| Name                                        | Type    | Description                                                                                                                                                |
| ------------------------------------------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------- |
| email<mark style="color:red;">\*</mark>     | String  | The email associated with the API key -- this is the email that can log into the [dashboard](<https://business.usewinter.com >) later to edit the project. |
| sandbox<mark style="color:red;">\*</mark>   | Boolean | <p>True if you want to delete a project in sandbox. False if you want to delete a mainnet project! </p><p></p><p>Defaults to false. </p>                   |
| projectId<mark style="color:red;">\*</mark> | String  | The id of the project you want to delete.                                                                                                                  |

{% tabs %}
{% tab title="200: OK If successful, you'll get a projectId in the response. " %}

```javascript
{
  "success": true,
  "project_id_deleted": 6736
}
```

{% endtab %}

{% tab title="400: Bad Request If not successful, you'll get this message" %}

```javascript
{
  success: false,
  message: 'Reason why'
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usewinter.com/platform-api/deleteproject.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
